Debian Bug report logs - #467860
libprefork-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libprefork-perl; Maintainer for libprefork-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libprefork-perl is src:libprefork-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:22:43 UTC

Severity: important

Tags: patch

Found in version libprefork-perl/1.00-1

Fixed in version libprefork-perl/1.00-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#467860; Package libprefork-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libprefork-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:23 +0200
Package: libprefork-perl
Version: 1.00-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#467860; Package libprefork-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #10 received at 467860@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467860@bugs.debian.org
Subject: libprefork-perl: diff for NMU version 1.00-1.1
Date: Sat, 5 Apr 2008 22:31:14 +0100
[Message part 1 (text/plain, inline)]
tags 467860 + patch
thanks

Hi,

Attached is the diff for my libprefork-perl 1.00-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libprefork-perl-1.00-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:40:18 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467860-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467860-close@bugs.debian.org
Subject: Bug#467860: fixed in libprefork-perl 1.00-1.1
Date: Sat, 05 Apr 2008 21:47:09 +0000
Source: libprefork-perl
Source-Version: 1.00-1.1

We believe that the bug you reported is fixed in the latest version of
libprefork-perl, which is due to be installed in the Debian FTP archive:

libprefork-perl_1.00-1.1.diff.gz
  to pool/main/libp/libprefork-perl/libprefork-perl_1.00-1.1.diff.gz
libprefork-perl_1.00-1.1.dsc
  to pool/main/libp/libprefork-perl/libprefork-perl_1.00-1.1.dsc
libprefork-perl_1.00-1.1_all.deb
  to pool/main/libp/libprefork-perl/libprefork-perl_1.00-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467860@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libprefork-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:07 +0100
Source: libprefork-perl
Binary: libprefork-perl
Architecture: source all
Version: 1.00-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libprefork-perl - Module loading for forking or non-forking processes in Perl
Closes: 467860
Changes: 
 libprefork-perl (1.00-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467860
Files: 
 42e83861a8bd0dfd44bf01647b18e2ca 641 perl optional libprefork-perl_1.00-1.1.dsc
 33e99b19f0653c0cef59282b0f683542 1675 perl optional libprefork-perl_1.00-1.1.diff.gz
 13fe4aed8b4dcda6dd0ff939a9ff0a55 12040 perl optional libprefork-perl_1.00-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+RuNIW6CNDsByMRAuSfAJ4jGYGQ/xv6bBaZ23avkTOQvzHP7wCgt5xO
+ay93m6W11IIEi1DT2RsIqQ=
=K7ge
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:45:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:00:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.